package com.fjhx.victoriatourist.service.order;

import com.fjhx.victoriatourist.entity.order.po.OrderDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.order.vo.OrderDetailsVo;
import com.fjhx.victoriatourist.entity.order.dto.OrderDetailsSelectDto;
import com.fjhx.victoriatourist.entity.order.dto.OrderDetailsDto;


/**
 * <p>
 * 订单明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface OrderDetailsService extends BaseService<OrderDetails> {

    /**
     * 订单明细分页
     */
    Page<OrderDetailsVo> getPage(OrderDetailsSelectDto dto);

    /**
     * 订单明细明细
     */
    OrderDetailsVo detail(Long id);

    /**
     * 订单明细新增
     */
    void add(OrderDetailsDto orderDetailsDto);

    /**
     * 订单明细编辑
     */
    void edit(OrderDetailsDto orderDetailsDto);

    /**
     * 订单明细删除
     */
    void delete(Long id);

}
